mib: HILLSTONE-FAN-MIB:HILLSTONE-POWER-MIB:HILLSTONE-TEMPERATURE-MIB
modules:
    mempools:
        data:
            -
                total: HILLSTONE-SYSTEM-MIB::sysTotalMemory
                used: HILLSTONE-SYSTEM-MIB::sysCurMemory
                precision: 1024
    os:
        sysDescr_regex: '/(?<hardware>\S+)$/'
        serial: HILLSTONE-SYSTEM-MIB::sysSerialNumber.0
        version: HILLSTONE-SYSTEM-MIB::sysSoftware.0
        version_regex: '/Version (?<version>\S+)/'
    processors:
        data:
            -
                oid: HILLSTONE-SYSTEM-MIB::sysCPU
                num_oid: '.1.3.6.1.4.1.28557.2.2.1.3.{{ $index }}'
    sensors:
        temperature:
            data:
                -
                    oid: hillstoneTemperatureTable
                    value: hillstoneTemperatureValue
                    num_oid: '.1.3.6.1.4.1.28557.2.28.1.2.1.3.{{ $index }}'
                    descr: '{{ $hillstoneTemperatureDescr }}'
        state:
            data:
                -
                    oid: hillstonePowerTable
                    value: hillstonePowerState
                    num_oid: '.1.3.6.1.4.1.28557.2.27.1.2.1.3.{{ $index }}'
                    descr: '{{ $hillstonePowerDescr }}'
                    index: 'hillstonePowerIndex.{{ $index }}'
                    state_name: hillstonePowerState
                    states:
                        - { descr: fine, graph: 0, value: 0, generic: 0 }
                        - { descr: absent, graph: 0, value: 1, generic: 1 }
                        - { descr: warning, graph: 0, value: 2, generic: 1 }
                        - { descr: fail, graph: 0, value: 3, generic: 2 }
                        - { descr: fail or nopower, graph: 0, value: 4, generic: 2 }
                        - { descr: unsupport, graph: 0, value: 5, generic: 3 }
